Subject: AW: [Simple] I-D ACTION:draft-ietf-simple-publish-00.txt

From: Tan Ya-Ching ICM N PG U ID A 1 <[email-masked]>
Date: Wed, 5 Mar 2003 16:28:41 +0100

Some comments :

1) Table 1 :  A new row should be added under the "Expires"  :

              Header Field   where   proxy   PUBLISH
              ----------------------------------------------------------
              Expires           2xx                    m

       Section 3.3 states that "The final response to the PUBLISH request 
       MUST carry the expiration value chosen by the compositor in
       an Expires: header".

2) The PUBLISH request in the example has a To tag. This implies that
    it is sent within a dialog, as RFC 3261 states that "A request outside 
    of a dialog MUST NOT contain a To tag". However, session 3 states 
    that the PUBLISH request is allowed to fork, which would mean that 
    it is outside of a dialog.

4) In the example, the Contact header in the 200 OK to the SUBSCRIBE
    should not be <sip:[email-masked]>, but <sip:[email-masked]>

5) In the example, the NOTIFY message Request-URI should not be
   sip:[email-masked], but sip:[email-masked]. The same
   error is in the response to the NOTIFY.

6) The mandatory header Max-Forwards is missing in all requests in
    the example.

Ya-Ching Tan

| -----Ursprüngliche Nachricht-----
| Von: Peterson, Jon [mailto:[email-masked]]
| Gesendet: 27 February 2003 21:40
| An: 'Drage, Keith (Keith)'; [email-masked]
| Betreff: RE: [Simple] I-D ACTION:draft-ietf-simple-publish-00.txt
| 
| 
| Yes, um, that would be my fault. I thought I had removed 
| instances of Facet
| and Stream from the document entirely. The examples are in error.
| 
| Jon Peterson
| NeuStar, Inc.
| 
_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple